!Programa que gera uma Matriz Triangular de dimensão M x M
program matriz_triangular
	implicit none
    integer matriz(15,15), M, i, j

    write (*, *) "Programa que gera uma Matriz Triangular de dimensão M x M"
    write (*, *) "Informe o valor de M"
    read(*, *) M
    
    !Gera Matriz Triangular
    do i = 1, M, 1
      do j = 1, M, 1
        if (i == j) then
          matriz(i,j) = 0
        else if (i > j)then
          matriz(i,j) = -1
        else
          matriz(i,j) = 1    
        end if
      end do
    end do

    !Imprime a matriz que foi gerada
    write (*, *) "Matriz Triangular"
    do I = 1, M, 1
       write (*, *) (matriz(I, J),J = 1, M, 1)
       write (*, *)
    end do
    

    stop
end program matriz_triangular
